当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-02-17 20:14 

注册: 2009-11-22 17:46
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
更新到9。10系统启动正常,启动后我还装了些软件,后来在检测硬件装网卡驱动后,就出错了。以后什么都无法安装了。重启也是无法安装,这是怎么回事?
linux@fuhao-linux:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 bcmwl-kernel-source (5.10.91.9+bdcom-0ubuntu4) ...
dpkg (子进程):无法运行 已安装的 post-installation 脚本: Exec 格式错误
dpkg:处理 bcmwl-kernel-source (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 2
在处理时有错误发生:
bcmwl-kernel-source
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-15 21:37 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
我的也是,笔记本找网卡驱动,然后经常性出现dpkg:处理 bcmwl-kernel-source (--configure)时出错
一起求解法


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-15 21:40 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
sudo aptitude purge XXX

看看能把这个先删掉不


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-15 21:51 
头像

注册: 2007-08-05 17:40
帖子: 4979
送出感谢: 0 次
接收感谢: 6
viewtopic.php?f=77&t=213816


_________________
free VPN
YouKuDownLoader
代码:
pip3 install ykdl

install YouKuDownLoader, have fun in downloading.
YouKuDownLoader所支持网站列表


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 9:16 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
3楼4楼的办法都,我现在还看不懂,请问XXX代表什么,是说把那个软件包卸掉不用吗?我刚才以为是重新安装于是重装一遍,装的时候提示bcmwl-kernel-source错误了

ilding for architecture i686
Building initial module for 2.6.35-14-generic

Error! Bad return status for module build on kernel: 2.6.35-14-generic (i686)
Consult the make.log in the build directory
/var/lib/dkms/bcmwl/5.60.48.36+bdcom/build/ for more information.
dpkg:处理 bcmwl-kernel-source (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 10
在处理时有错误发生:
bcmwl-kernel-source
E: Sub-process /usr/bin/dpkg returned an error code (1)
软件包安装失败。正在试图恢复:
正在设置 bcmwl-kernel-source (5.60.48.36+bdcom-0ubuntu3) ...
Removing old bcmwl-5.60.48.36+bdcom DKMS files...

------------------------------
Deleting module version: 5.60.48.36+bdcom
completely from the DKMS tree.
------------------------------
Done.
Loading new bcmwl-5.60.48.36+bdcom DKMS files...
First Installation: checking all kernels...
Building only for 2.6.35-14-generic
Building for architecture i686
Building initial module for 2.6.35-14-generic

Error! Bad return status for module build on kernel: 2.6.35-14-generic (i686)
Consult the make.log in the build directory
/var/lib/dkms/bcmwl/5.60.48.36+bdcom/build/ for more information.
dpkg:处理 bcmwl-kernel-source (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 10
在处理时有错误发生:
bcmwl-kernel-source
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成
正在编辑扩展状态信息... 完成


挺晕的,辛辛苦苦编译了ibus-piniyin-1.3.10经常小故障,早上开机选系统以后windows启动修复最后还是进不去,ubuntu用着不比windows舒服..


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 9:25 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
就是说让你先把那个卸载,xxx就是你要卸载的软件名。

ibus-pinyin有PPA,也到1.3.10了。


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 9:46 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
lainme 写道:
就是说让你先把那个卸载,xxx就是你要卸载的软件名。

ibus-pinyin有PPA,也到1.3.10了。

卸载了。后面我没明白……劳驾讲解一下 :em06


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 9:49 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
什么后面,PPA?


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 16:40 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
是啊。网上说的简单,也看不懂,怎么用的?是添加源以后只要自动更新它就能跟着升级了,还是用sudo aptitude。。。来安装升级的?网上没找到用法,所以不懂了。
还有上面一个软件包删除完了就可以了吗?需不需要其他操作?


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 16:56 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
jiyinyiyong 写道:
是啊。网上说的简单,也看不懂,怎么用的?是添加源以后只要自动更新它就能跟着升级了,还是用sudo aptitude。。。来安装升级的?网上没找到用法,所以不懂了。
还有上面一个软件包删除完了就可以了吗?需不需要其他操作?

就是私人的软件库,和官方源相对而言的。一般介绍PPA的时候都会告诉你怎么添加的,用一次也就知道了

如果你现在能安装其他软件了,那就好了。如果还不能安装,再看看4L那个


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 18:10 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
找这个意思在网上搜到了个应该是这个意思了吧?
sudo add-apt-repository ppa:shawn-p-huang/ppa http://www.linuxdiyf.com/viewarticle.php?id=180991
按命令输了一遍,好像也没什么效果。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-17 18:16 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
jiyinyiyong 写道:
找这个意思在网上搜到了个应该是这个意思了吧?
sudo add-apt-repository ppa:shawn-p-huang/ppa
按命令输了一遍,好像也没什么效果。

应该已经加到源里了,你可以在系统——系统管理——软件源——其他软件里看到

在刷新一下列表,就能安装ibus最新版了


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 9.04 升级到 9.10 出错提示如下.无法安装任何软件
帖子发表于 : 2010-08-18 9:52 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
了解了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译